{% extends 'app_lmgas/base.html' %}
{% load static %}
{% block title%}LMGAS - DetallePedido{% endblock%}


{% block contenido %}
<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{% url 'home' %}">Inicio</a> > <a href="#">Mi cuenta </a>> <a
                href="{% url 'MisPedidos' %}">Mis pedidos </a>> <a href="{% url 'DetallePedido' pedido.id_pedido %}"> Detalle de pedido </a>></h6>

        <div class="row">

            <div class="col-sm-6 mt-3">

                <div >
                    <h3 style="color: #8d8d8d;">Despacho</h3>
                </div>
                <ul>
                    <li><b>Nombre de contacto:</b> {{pedido.rut.first_name}} {{pedido.rut.last_name}}</li>
                    <li><b>Dirección:</b> {{pedido.id_direccion.calle}} {{pedido.id_direccion.numero}} </li>
                    <li><b>Comuna:</b> {{pedido.id_direccion.comuna}}</li>
                    <li><b>Fecha de despacho:</b>{{pedido.fec_pedido}}</li>
                    <li><b>Hora de despacho:</b> {{pedido.hora_despacho}}</li>
                    <li><b>Costo despacho:</b> ${{pedido.valor_despacho}}</li>
                </ul>
            </div>

            <div class="col-sm-6 mt-3">

                <div >
                    <h3 style="color: #8d8d8d;">Método de pago</h3>
                </div>
                <ul>
                    <li><b>Forma de pago:</b> {{pedido.id_metodo.desc_metodo}}</li>
                    <li><b>Recibo:</b> Boleta</li>
                    <li><b>Rut:</b> {{pedido.rut}}</li>
                </ul>
            </div>

            <div class="col-sm-12">
                <hr style="background-color: black;">
            </div>


            <div class="col-sm-12 mt-3">
                <h3 style="color: #8d8d8d;">Productos</h3>
            </div>
            <div class="col-sm-12" style="background-color: rgb(238, 238, 238); border: 1px solid #d1d1d1;">

                <table class="table table-borderless table-sm table-responsive-sm mt-3">
                    <thead class="text-light" style="background-color: #184483;">
                        <tr>
                            <th>Nombre del producto</th>
                            <th>Cantidad</th>
                            <th>Precio por unidad</th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody class="bg-light">
                    {% for detalle in detalles %}
                        <tr>
                            <td>{{detalle.id_producto.descripcion}}</td>
                            <td>{{detalle.cantidad}}</td>
                            <td>{{detalle.id_producto.valor}}</td>
                            <td>${{detalle.obtenerTotal}}</td>  
                        </tr>
                    {% endfor %}       
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Total:</td>
                            <td>${{pedido.obtenerTotal}} </td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Despacho</td>
                            <td>${{pedido.valor_despacho}}</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td>Total + Despacho</td>
                            <td>${{pedido.obtenerTotalFinal}}</td>
                        </tr>
                        
                    </tbody>
                </table>
            </div>

            <div class="col-sm-12 mt-3">
                <h3 style="color: #8d8d8d;">Estado del pedido</h3>
            </div>

            <div class="col-sm-12" style="background-color: rgb(238, 238, 238); border: 1px solid #d1d1d1;">

                <table class="table table-borderless table-sm table-responsive-sm mt-3">
                    <thead class="text-light" style="background-color: #184483;">
                        <tr>
                            <th>Fecha de pedido</th>
                            <th>Estado</th>
                            <th>Seguimiento</th>
                            <th>Fecha de entrega</th>
                            <th>Comentario</th>
                        </tr>
                    </thead>
                    <tbody class="bg-light">
                        <tr>
                            <td>{{pedido.fec_pedido}}</td>
                            <td>{{pedido.estado_pedido}}</td>
                            <td><a href="seguimiento.html"><i class="bi bi-truck"></i></a></td>
                            <td>{{pedido.dia}}</td>
                            <td>{{pedido.comentario}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <div class="col-sm-12 mt-3">
                <a href="{% url 'MisPedidos' %}"><button type="button"
                    class="btn btn-primary float-right">Continuar
                </button></a>
                

            </div>
        </div>

    </div>


{% endblock contenido %}